Questions tagged [package-management]

tools for installing and maintaining software packages

5
votes
0answers
2k views

How to combine deb dependencies into main package?

I want to include deb-dependencies with main deb-package. Consider 1 deb package which have 19 deb dependencies, so I have to install all packages by dpkg -i *.deb. If all 19 dependencies can be ...
4
votes
0answers
219 views

checkinstall --include option not working

I am successfully able to create a .deb package from source using checkinstall. However can someone help me with why I cannot add custom/additional files to the package created using the --include ...
4
votes
0answers
3k views

Convert pacman package to deb or rpm?

Given a pacman package (.pkg.tar.xz), is there a tool to convert it to a deb or rpm package? In other words, I'm looking for an equivalent to alien. So far, I got the impression that such a tool does ...
3
votes
0answers
2k views

How to install Gnome Shell Extension “Night light slider” & “Pause night light” with apt

If i type "night..." into my global search window, software recommends the 2 packages: Night light slider and Pause night light. How do I install this packages with apt? I have done some apt search ....
3
votes
0answers
63 views

A package dependency has the wrong name

I have to install the package polychromatic. When I run the command dnf install polychromatic, I get the following error: Error: nothing provides imagemagick needed by polychromatic-0.3.8-2.1.noarch ...
3
votes
0answers
2k views

Yaourt: how to list dependencies for a package?

How can I list the dependencies for a given package? I thought this should be an easy task for Google, but I only found yaourt -Sq --depends <pkg>, which lists all packages that depend on <...
3
votes
0answers
219 views

What is the difference between .deb package file and ddeb package file in Ubuntu 14.04

I need to install SystemTap in Ubuntu 14 and I would need to install debug symbols for kernel. I encountered a ddeb file. I got this error: ERROR: Build-id mismatch [man error::buildid]: after ...
3
votes
0answers
45 views

What's the Debian way to retain a kernel config change through updates?

I have an embedded system running Debian. It is supposed to auto-update in order to pull in security fixes. But Debian's default kernel lacks a hardware driver that this system needs, so it will need ...
3
votes
0answers
3k views

dpkg-query listing package that is not installed

I installed Chrome via dpkg by downloading the deb file and installing it. I later uninstalled and removed it. However I'm now seeing this: $ dpkg-query -W google-chrome google-chrome $ dpkg-query -...
3
votes
0answers
101 views

Restore internet connectivity and graphic desktop manager wiped out during a package installation

Abridged Antecedents I run Ubuntu 12.04 LTS on a x68_64 computer. A few days ago I run sudo apt-get -f install for a general overhaul of broken dependencies. I did so in order to remove the conflicts ...
3
votes
0answers
153 views

How to use a package revision not yet in the published nixpkgs (but described in the development branches of nixpkgs)?

I'd like to use the new release of ghc (7.10, because of a new feature -- static ptr), and I'm using a single-user nix environment. I don't find the wanted new release in the published lists at https:...
3
votes
0answers
197 views

Why do slackware packages recreate symlinks after installation?

Reading through slackware's makepkg script, I saw that rather than putting symlinks directly into the package, it deletes them and generates a script called doinst.sh that recreates them after ...
2
votes
0answers
2k views

How to install GCC 4.9 or GCC 5 on Debian Stretch?

To build an old program for use in my Debian GNU/Linux box I need either GCC 4.9 or GCC 5. GCC 6+ will not work without changing the sources (that, for several reasons, I cannot change). So I want to ...
2
votes
0answers
53 views

Locate the .desktop file for a special menu item

There are various reasons why orphaned menu items can remain after package removal and need to be fixed in the package. In order to investigate the bug, it can help to see the exact path of the ....
2
votes
0answers
2k views

firewalld removing with all configurations using yum

Unfortunately there is no -purge option as we all know in RHEL/Centos I removed firewallD as usual with yum: # yum remove firewalld -y then flushed iptables. After installing firewallD again, ...
2
votes
0answers
827 views

E: Package 'gstreamer0.10-plugins-bad' has no installation candidate

I turned on the "Video Capture" option in VirtualBox, recorded a video in webm format, shut down the virtual machine and tried to play this video, but I got this error in the Totem video player: An ...
2
votes
0answers
203 views

How can I undo the effects of reprepro update?

On a private Debian package server, I accidentally did a reprepro update without the --restrict option, which updated all packages. Not realizing this, I then created a new distribution and populated ...
2
votes
0answers
266 views

Fedora 24 switch from KDE spin to Default (GNOME)

I have installed the default workstation group dnf install @workstation-product-environment Now I want to remove all unnecessary KDE packages but dnf remove @kde-desktop-environtment gives me ...
2
votes
0answers
746 views

How to remove the entire ubuntu-desktop package?

I use linux Mint 18 cinnamon. While I am working I always have a lot of different softwares running and I wanted to try Unity to see if the left-side bar would be more confortable. So, as I found ...
2
votes
0answers
1k views

apt-get: Almost all packages “have no installation candidate”

Note: I am aware that this question appears to be a duplicate of "E: Package '' has no installation candidate", but the only posted answer in that question did not help me at all. I've attempted to ...
2
votes
0answers
334 views

Disable java update popup “Your Java Version is out of date” on Ubuntu

I want to disable Java update on Linux OS, I'm using Oracle Java and tried to disable update check from "Java Control Panel" but control panel doesn't have "Update" tab as windows Java control panel ...
2
votes
0answers
226 views

How to deal with “scriptlet failure in rpm package glibc” during upgrade to Fedora 24?

Actual message (from photo, not recorded in dnf system-upgrade log -1): Upgrading : glibc-2.23.1-18.fc24.x86_64 28/4874 warning: %trigger(cronie-1.4.12-1.fc21.x86_64) scriptlet failed, exit status ...
2
votes
0answers
5k views

How do I successfully install GLFW on Linux Mint?

I believe I am in dependency hell. I am trying to get GLFW working. I'm on Linux Mint with Cinnamon. When I try to compile GLFW using these steps, I get the following output: $ cmake -G "Unix ...
2
votes
0answers
54 views

Difference between “install” and “installed” in dpkg.log

Some recently installed packages appear like so: [date] [time] install [package name] [date] [time] installed [package name] but some packages (e.g. man-db which I haven't manually installed) appear ...
2
votes
0answers
1k views

Interrupted apt upgrade broke udev and systemd

During an update of my Raspbian installation (Pi rev. B+) over SSH I lost connection. After a hard reboot (which may have happened during or after finishing the update) the udev kernel device manager ...
2
votes
0answers
200 views

How do Linux kernel modules get enabled in a Linux distro's kernel package?

Although I know how to recompile my kernel to enable a module I want, I'm curious to know how the default Linux kernel modules are chosen in a Linux distribution's kernel package. Taking a comparison ...
2
votes
0answers
82 views

Automatic deployment of software to Debian

I have been reading about creating my own Debian packages for my own software and deploying them to a apt-get repository that I also can create on my own. The source code for my software is in a Git ...
2
votes
0answers
1k views

Differences between zypper up and zypper dup

I know that zypper up updates the current installed packages and zypper dup is supposed to upgrade the whole system to a new version. But from a technical point of view, what are the differences ...
2
votes
0answers
873 views

Synaptic Package Manager & Software Manager Not Opening

In Linux Mint 17, when I try to open Synaptic Package Manager or Software Manager from the gui, the popup appears to enter my password. Yet when I enter it correctly, nothing happens; neither window ...
2
votes
0answers
955 views

How to Fix Synaptic Error 403 problem?

I'm having an annoying issue with Synaptic Package Manager on Linux Mint where it's just giving me Error 403 when I try to update the repository list. I can't figure out the source of the problem, ...
2
votes
0answers
37 views

How to use both open source and proprietary video drivers on same machine?

On my main work machine I sometimes need to use the proprietary Nvidia video drivers, but I would prefer to use the open source Nouveau drivers most of the time. As the Nvidia package conflicts with ...
2
votes
0answers
74 views

Debian repo mirror or cache

Our company will soon have hundreds of vending machines running a custom Debian 7.x based image made with debootstrap. We want to set up the clients to be automatically updated keep the patch levels ...
2
votes
0answers
118 views

How can a package's license be determined using OPKG package manager?

OPKG is used as the package manager in an embedded Linux system. I would like to be able to determine the license of a package prior to installing the package. Is there a simple way to achieve this ...
2
votes
0answers
258 views

FreeBSD 8.4 pkgdb fails after upgrade to Ruby 1.9

I just upgrade Ruby 1.8 to Ruby 1.9. After the upgrade I followed the instructions in the UPDATING file located in /usr/ports. I issued the following two commands: portmaster -o lang/ruby19 lang/...
2
votes
0answers
450 views

Debian Wheezy : problem installing .deb package that uses update-rc.d with dependency numbers

I'm trying to install a .deb file, written by us, on a new Debian Wheezy system. The .deb file was originally written for Lenny, so is fairly old. I've tracked down one point where the installation ...
2
votes
0answers
2k views

How to edit rpm's HEADER and NAME-VERSION-RELEASE

Is there's a way or a tool that can modify the HEADER and the NAME-VERSION-RELEASE for an existing rpm without installing/rebuilding it?
1
vote
0answers
16 views

How can I use checkinstall to replace multiple packages?

I'm building my own ffmpeg package using checkinstall, with all of the various ffmpeg libraries included. In the Ubuntu package repos these ffmpeg libraries are broken up into many separate packages. ...
1
vote
0answers
13 views

How should I proceed in upgrading server packages?

On my main linux machine, I usually upgrade my packages pretty much without thinking about it and in the rare event that I get a compatibility issue, I solve it afterwards. I always have backups of ...
1
vote
0answers
20 views

unexpected behavior of 'rpm --setperms sudo'

rpm --setperms sudo on a fedora 29 fresh installation sets /usr/bin/sudo's permissions to 0777; i confirmed it by reinstalling sudo using dnf, which will correctly set the permissions to 4111 and then ...
1
vote
0answers
216 views

`apt update` results in consistent “Failed to Fetch” errors for different apt sources

After a recent update from Bionic-based Pop OS! 18.04 to Cosmic-based Pop OS! 18.10, executing apt update always results in Failed to Fetch .... Temporary failure resolving errors for few sites. ...
1
vote
0answers
59 views

How do I maintain a patched version of a package for unprivileged installation?

I use some common software packages frequently enough that I found it worthwhile to modify their code a bit to work more smoothly for my peculiar needs. However, I was not able to get my changes ...
1
vote
0answers
23 views

Managing libraries

After a new installation of Debian, I'm looking for a way to separate files created from new packages from my main system. I want to do this to avoid bloating the size of my drive with unnecessary ...
1
vote
0answers
157 views

Why does apt-file report “The cache is empty” even after running “apt-file update”?

Does anybody know why apt-file reports that the cache is empty even after running apt-file update and apt update? [pop-os ~][I]% apt-file search /usr/lib/android-sdk/tools/bin/sdkmanager E: The cache ...
1
vote
0answers
93 views

Flatpak - Safely Relocate Sandboxed Home Directory

I would like to transparently provide a Flatpak app with a fully sandboxed ~/ directory located at an arbitrary location of my choosing. That is, I want to sandbox the entirety of ~/ such that ...
1
vote
0answers
104 views

Install virtual package of specified version

There is a VCS repo that has 2 branches - master and release. There are also 2 Debian packages that are built from these branches - let's say foo for the release branch and foo-master for the master ...
1
vote
0answers
52 views

Debian clean with deborphan

Linux test 4.18.0-2-amd64 #1 SMP Debian 4.18.10-2 (2018-11-02) x86_64 GNU/Linux Keep Getting message like this: /usr/bin/gdbus: symbol lookup error: /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0:...
1
vote
0answers
70 views

Lunar Linux - small moonbase?

I have successfully installed Lunar Linux. According to the manual, the command to install software is lin [module name]. This method worked for gvim and sudo, but the problem is that it appears that ...
1
vote
0answers
31 views

Is there a way to get package checksum using `zypper`?

How to get the checksum of the package when using zypper. I tried even the --xmlout option of zypper as zypper --xmlout --no-refresh install -D -y --no-recommends MozillaFirefox. Is there a way to ...
1
vote
0answers
163 views

How do I install newer or older versions of GCC on Devuan/Debian?

Some distributions come with package sets for different versions of GCC, which you can easily install in parallel; others do not. Specifically, in Devuan ASCII / Debian Stretch, there only seem to be ...
1
vote
0answers
159 views

Half-installed package nightmare - how to fix?

I recently (tried) to update my Linux Mint (18.3, x64) system. It went fine, but I got an error with the configuration scripts for linux-image-extra-4.13.0-41-generic and linux-image-extra-4.13.0-41-...